package com.liquidnet.service.sweet.service;

import com.baomidou.mybatisplus.extension.service.IService;
import com.github.pagehelper.PageInfo;
import com.liquidnet.service.base.ResponseDto;
import com.liquidnet.service.sweet.entity.SweetPerformanceShow;
import com.liquidnet.service.sweet.param.SweetPerformanceShowParam;
import com.liquidnet.service.sweet.vo.SweetPerformanceShowVo;

public interface ISweetPerformanceService extends IService<SweetPerformanceShow> {
    ResponseDto<Boolean> add(String performanceId, String performanceName,String arName, String picOne, String picTwo, String arUrl, String timeStart, String timeEnd);

    ResponseDto<Boolean> change(SweetPerformanceShowParam show);

    ResponseDto<Boolean> del(String performanceId);

    ResponseDto<PageInfo<SweetPerformanceShowVo>> getList(Integer page, Integer size, String performanceName);

    ResponseDto<SweetPerformanceShowVo> details(String arId);

    ResponseDto<Boolean> changeStatus(String arId,Integer status);
}

